Bug 220843 - audio/wildmidi: Update to 0.4.1
Summary: audio/wildmidi: Update to 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-19 04:14 UTC by SimaMoto,RyōTa
Modified: 2017-08-08 18:13 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Upgrade from 0.4.0 to 0.4.1 and apply upstream patch (3.80 KB, patch)
2017-07-19 04:14 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Fix undeclared error of ONLCR (1.56 KB, patch)
2017-07-20 06:43 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Upgrade from ver. 0.4.0 to ver. 0.4.1 (2.87 KB, patch)
2017-07-20 06:59 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
testcase of i386/11.0R for ver 0.4.1 (34.19 KB, text/plain)
2017-07-20 07:07 UTC, SimaMoto,RyōTa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2017-07-19 04:14:36 UTC
Created attachment 184487 [details]
Upgrade from 0.4.0 to 0.4.1 and apply upstream patch

New release 0.4.1 of WildMidi followed by build fix for an undeclared
identifier error.

Switch to the new options framework for CMake.

Additional upstream patch is obtained here:
https://github.com/Mindwerks/wildmidi/commit/2e49573bb5990616f9a94ca02b1c616c6abbe400
This commit fixes absence error of ONLCR tag which is suddenly hidden by the
recent update that replaces POSIX_SOURCE with __BSD_VISIBLE in sys/_termios.h:
https://svnweb.freebsd.org/base?view=revision&revision=319651
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-19 04:53:59 UTC
Thank you for your report and patch.

If you could separate the version update from the other changes (non feature improvements / bugfixes), it will ensure those can be merged to quarterly branch users

Please also confirm that these changes pass QA (portlint and poudriere in particular). For more testing information and instructions, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 SimaMoto,RyōTa 2017-07-20 06:43:15 UTC
Created attachment 184529 [details]
Fix undeclared error of ONLCR

Separated patch 1/2:
Fix build error of audio/wildmidi for upcoming releases and the current
branch after mfc r318780.
http://beefy11.nyi.freebsd.org/data/head-i386-default/p446242_s321261/logs/wildmidi-0.4.0.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p446242_s321261/logs/wildmidi-0.4.0.log
Comment 3 SimaMoto,RyōTa 2017-07-20 06:59:54 UTC
Created attachment 184531 [details]
Upgrade from ver. 0.4.0 to ver. 0.4.1

Update audio/wildmidi to the version 0.4.1 and convert to the latest
options framework.
Comment 4 SimaMoto,RyōTa 2017-07-20 07:07:01 UTC
Created attachment 184532 [details]
testcase of i386/11.0R for ver 0.4.1

poudriere test in FreeBSD 11.0-RELEASE i386 succeeds. (the extra patch is not used.)
Comment 5 Richard Gallamore freebsd_committer 2017-07-27 21:19:41 UTC
If the two patch files should be added, please combined them into one patch file. Thanks.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 05:04:18 UTC
@Richard Fixes separated from version updates (as attachments in the issue tracker) are OK and preferred so that its clear/obvious to committers and so fixes can be merged (MFH) independently from version updates.

Having said that, its not clear or made explicit whether the fix is independent or relies on the update being made first
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 05:04:36 UTC
Comment on attachment 184532 [details]
testcase of i386/11.0R for ver 0.4.1

Logs don't need approval
Comment 8 SimaMoto,RyōTa 2017-08-01 13:38:22 UTC
(In reply to Kubilay Kocak from comment #6)
These separated patches does not depend on each other, and any of both
can be applied earlier than the other.
The bugfix patch is much important than the upgrading patch, therefore
the bug results in BROKEN status of this port for the system on several
latest FreeBSD branches that will be upcoming releases.
Comment 9 Richard Gallamore freebsd_committer 2017-08-01 18:38:20 UTC
(In reply to Kubilay Kocak from comment #6)
Ah, I understand now, the other one was separated for MFC.


I'll start qa.
Comment 10 Richard Gallamore freebsd_committer 2017-08-03 18:25:08 UTC
I'm not really sure why grep is piped into xargs with reinplace_cmd in the post-patch target. Is this really required? Dropping the grep and xargs and only using reinplace_cmd should work just fine or am I missing something?
Comment 11 commit-hook freebsd_committer 2017-08-03 18:37:02 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug  3 18:36:52 UTC 2017
New revision: 447274
URL: https://svnweb.freebsd.org/changeset/ports/447274

Log:
  This change will fix BROKEN status on several latest
  FreeBSD branches that will be upcoming releases.

  PR:		220843
  Submitted by:	SimaMoto,Ry?Ta <liangtai.s16@gmail.com> (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  MFH:		2017Q3
  Differential Revision:	https://reviews.freebsd.org/D11829

Changes:
  head/audio/wildmidi/Makefile
  head/audio/wildmidi/files/
  head/audio/wildmidi/files/extra-patch-src_wm__tty.c
Comment 12 Richard Gallamore freebsd_committer 2017-08-03 18:40:40 UTC
The first patch committed, waiting for MFC approval.
Comment 13 commit-hook freebsd_committer 2017-08-03 19:25:43 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug  3 19:24:45 UTC 2017
New revision: 447276
URL: https://svnweb.freebsd.org/changeset/ports/447276

Log:
  MFH: r447274

  This change will fix BROKEN status on several latest
  FreeBSD branches that will be upcoming releases.

  PR:		220843
  Submitted by:	SimaMoto,Ry?Ta <liangtai.s16@gmail.com> (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11829

  Approved by:	ports-secteam

Changes:
_U  branches/2017Q3/
  branches/2017Q3/audio/wildmidi/Makefile
  branches/2017Q3/audio/wildmidi/files/
Comment 14 commit-hook freebsd_committer 2017-08-08 17:53:52 UTC
A commit references this bug:

Author: ultima
Date: Tue Aug  8 17:53:36 UTC 2017
New revision: 447551
URL: https://svnweb.freebsd.org/changeset/ports/447551

Log:
  * Updated to 0.4.1
  * Cleanup Makefile

  PR:		220843
  Submitted by:	SimaMoto,Ry?Ta (maintainer)
  Reviewed by:	matthew (mentor), mat
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11831

Changes:
  head/audio/wildmidi/Makefile
  head/audio/wildmidi/distinfo
  head/audio/wildmidi/pkg-plist
Comment 15 Richard Gallamore freebsd_committer 2017-08-08 18:13:03 UTC
Committed, thanks!